## org.hibernate.testing.jta
Class TestingJtaBootstrap.TestingJtaPlatformImpl

    java.lang.Object
      org.hibernate.service.jta.platform.internal.AbstractJtaPlatform
          org.hibernate.testing.jta.TestingJtaBootstrap.TestingJtaPlatformImpl

All Implemented Interfaces:
  Serializable, TransactionManagerAccess, JtaPlatform, Service, Configurable, ServiceRegistryAwareService

Enclosing class:
  TestingJtaBootstrap

    public static class TestingJtaBootstrap.TestingJtaPlatformImpl

extends AbstractJtaPlatform

See Also:
  Serialized Form

Field Summary
`static TestingJtaBootstrap.TestingJtaPlatformImpl` `INSTANCE`

Constructor Summary
`TestingJtaBootstrap.TestingJtaPlatformImpl()`

Method Summary
`protected TransactionManager` `locateTransactionManager()`
`protected UserTransaction` `locateUserTransaction()`

Methods inherited from class org.hibernate.service.jta.platform.internal.AbstractJtaPlatform
`canCacheTransactionManager, canCacheUserTransaction, canRegisterSynchronization, configure, getCurrentStatus, getSynchronizationStrategy, getTransactionIdentifier, getTransactionManager, injectServices, jndiService, registerSynchronization, retrieveTransactionManager, retrieveUserTransaction, serviceRegistry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final TestingJtaBootstrap.TestingJtaPlatformImpl INSTANCE

Constructor Detail

### TestingJtaBootstrap.TestingJtaPlatformImpl

    public TestingJtaBootstrap.TestingJtaPlatformImpl()

Method Detail

### locateTransactionManager

    protected TransactionManager locateTransactionManager()

  Specified by:
    `locateTransactionManager` in class `AbstractJtaPlatform`

### locateUserTransaction

    protected UserTransaction locateUserTransaction()

  Specified by:
    `locateUserTransaction` in class `AbstractJtaPlatform`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.